#!/bin/bash

WALLPAPER=$(cat $HOME/.cache/.wallpaper)

rm -r ~/.cache/wal

# wal -stn -a 90 -i $HOME/wallpaper/$WALLPAPER

if [[ "$(hostname)" == "gentoo" ]]; then
    hyprctl hyprpaper unload all
    hyprctl hyprpaper preload $WALLPAPER
    hyprctl hyprpaper wallpaper ,$WALLPAPER
fi

if [[ "$(hostname)" != "gentoo" ]]; then
    swww img $WALLPAPER --transition-fps 120 --transition-duration 2 -t wipe &
fi

# bash ~/config/scripts/hot-reload.sh
